module App where

import Prelude

import DOM.Simple (Element)
import DOM.Simple as DOM
import DOM.Simple.Console (log)
import DOM.Simple.Document (document)
import Data.Maybe (Maybe(..))
import Data.Nullable (toMaybe)
import Effect (Effect)
import FFI.Simple ((...), delay, args2)
import Phylo.Graph (phyloR, timelineR, wordcloudR)
import Phylo.Infos (infoCorpusR,infoPhyloR)
import Phylo.Isoline (isolineR)
import Reactix as R
import Reactix.DOM.HTML as H
import Toestand as T

app :: {} -> Array R.Element -> R.Element
app = R.createElement appCpt 

appCpt :: R.Component()
appCpt = R.hooksComponent "app" cpt where
  cpt _ _ = do
    pure $ H.div {className:"mèmiscape"} [infoCorpusR,infoPhyloR, timelineR,isolineR, wordcloudR, phyloR]

